<!DOCTYPE html>
<html>
  <head>
    <title>EmphasizedWindow Focus</title>
    <meta charset="utf-8">
    <style>
      :root {
      --color-background: white;
      --color-foreground: black;
      }
      @media (prefers-color-scheme: dark) {
        :root {
          --color-background: black;
          --color-foreground: white;
        }
      }
      body { 
        font-family: 'Inter', Sans-serif;
        color: var(--color-foreground);
        background-color: var(--color-background);
        max-width: 60rem;
        margin: 0 auto;
        padding: 4rem;
        font-size: 14pt;
        line-height: 1.5em;
      }
      h1, h2, h3 {
        font-family: 'Cantarell', Sans-serif;
        font-weight: 800;
        position: relative;
        z-index: 2;
        margin: 1rem 0 1em 0;
        line-height: 1.2em;
        opacity: 0.7;
      }
      p {
        margin: 2em 0 2em 0;
      }
      
      h1 { font-weight: 900; font-size: 250%; }
      h2 { font-size: 150%; }
      
      video {
        width: 100%;
        height: auto;
        border-radius: 12px;
        margin: 1rem 0 2rem;
      }
    </style>
  </head>
<body>
<h1>Window Focus</h1>
<h2>Motion Mockups</h2>
<p>Emphasize the change of window focus. Allow an on-demand window focus highlight (wiggle a mouse, hold a modifier, etc).</p>

<h2>0. Status Quo</h2>

<p>Focused window has a darker headerbar and a more prominent drop shadow. It's very subtle and not all windows behave consistently due to different toolkits.</p>

<video id="maximize" loop controls muted autoplay>
    <source src="img/status-quo.webm" type="video/webm" />
</video>

<video id="maximize" loop controls muted autoplay>
    <source src="img/tiled-status-quo.webm" type="video/webm" />
</video>

<h2>1. Scale Up</h2>

<p>Focused window scales up when receiving focus.</p>

<video id="maximize" loop controls muted autoplay>
    <source src="img/scale.webm" type="video/webm" />
</video>

<h2>2. Outline</h2>

<h3>2.1. Outline Opaque</h3>
<p>Not all windows have the same corner radius, but the focus indicator can hide that.</p>

<video id="maximize" loop controls muted autoplay>
    <source src="img/outlines.webm" type="video/webm" />
</video>

<h3>2.2. Outline Subtle</h3>
<p>More subtle variant with semi-opaque outlines ala gtk4 widget focus.</p>

<video id="maximize" loop controls muted autoplay>
    <source src="img/outlines-subtle.webm" type="video/webm" />
</video>

<p>To deal with the tiled case, the outline is drawn over the border (centered border).</p>

<video id="maximize" loop controls muted autoplay>
    <source src="img/outlines-subtle-over.webm" type="video/webm" />
</video>
<video id="maximize" loop controls muted autoplay>
    <source src="img/tiled-outlines-subtle-over.webm" type="video/webm" />
</video>

<h2>3. Corners</h2>

<p>Alternatively the outline/corners could focus in the same way wiget outline focus is done in gtk4.</p>

<video id="maximize" loop controls muted autoplay>
    <source src="img/corners.webm" type="video/webm" />
</video>

<h2>4. Konami Highlight</h2>

<p>Window flashes as it receives focus.</p>

<video id="maximize" loop controls muted autoplay>
    <source src="img/tiled-konami.webm" type="video/webm" />
</video>
<video id="maximize" loop controls muted autoplay>
    <source src="img/tiled-konami-dark.webm" type="video/webm" />
</video>

</body>    
</html>
